package com.brilliance.isc.swift.objmtconvert.model.mt4xx.tag.tag416;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.mt4XXAbsCreator.MT416AbsCreator;

public class Tag71FBCreator extends AbsTagCreate {

    private MT416AbsCreator mt416SequenceBCreator;

    public Tag71FBCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt416SequenceBCreator= (MT416AbsCreator) absMTCreator;
    }

    public void creator() {
        String tag71Value = mt416SequenceBCreator.getSenderCharges();
        mt416SequenceBCreator.set("71F", tag71Value);
    }
}
